%define package atool
%define version 0.24.0
%define release 1

Summary:        A script for managing file archives of various types.
Name:           %{package}
Group:          Applications/Archiving
Version:        %{version}
Release:        %{release}
Source:         %{package}-%{version}.tar.gz
URL:            http://www.student.lu.se/~nbi98oli/src/
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Requires:	perl

%description
atool is a script for managing file archives of various types (tar,
tar+gzip, zip, etc). The main command is probably 'aunpack' which
extracts files from an archive. It overcomes the dreaded "multiple
files in archive root" problem by first extracting to a unique
subdirectory, and then moving back the files if possible. aunpack
also prevents local files from being overwritten by mistake. Other
commands provided are apack (for creating archives), als (for listing
files in archives), and acat (for extracting files to stdout). 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
make DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir} PREFIX=/usr install

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING NEWS TODO
%{_bindir}/*
%{_mandir}/*/*
